package ru.yandex.autodoc.wmtools.params.fetch.json;

import org.jetbrains.annotations.Nullable;

/**
 * @author avhaliullin
 */
public abstract class AbstractJsonFieldView<T, I> implements JsonFieldView<T, I> {
    @Nullable
    @Override
    public T fetchValue(JsonObjectContext context, I injected) {
        return fetch(context, injected).getValue();
    }
}
